What Are The Potential Risks To Using A Flashcart On 3DS V9.7.0-25?

What Are The Potential Risks To Using A Flashcart On 3DS V9.7.0-25?

As we know the 3DS system firmware has been updated to  V9.7.0-25 , today is the first day of May , only during the 4 months of 2015 , the Nintendo has updated 3DS system frimware for several time , but as you might noticed , there is no flashcart was blocked . Is it mean there is no potential risks to using a flashcart on 3DS ?

To the ds flashcart users (who use the r4i gold 3ds , supercard dstwo , r4i-sdhc rts 3ds , r4i dual core),  The answer is “YES” ! It seem Nintendo have given up blocking the DS flashcarts. I don’t think a 3DS firmware update can block them within 1 to 2 years or so. So if you are want to play ds games , no bother to buy a lot of game cards , just get one r4i gold 3ds . Recommend you get one from this official reseller : http://www.usar4.com/r4i-gold-3ds-r4i-gold-3ds-flashcart-for-2ds-3ds-xl-3ds-and-ds-lite-p-1.html

To the 3ds flashcart (such as thesky3ds , gateway 3ds ) users, The answer is “NO” .Though the sky3ds flashcart can always work on the latest 3DS system version (even the V9.7.0-25), it is the clone of gateway 3ds . We believe the gateway 3ds have ability to expoit the 3DS V9.7.0-25 , why they don’t release the ultra ? It must be have something hiding  . If you want to play 3ds Games, I recommend the Gateway card, however you system has to be on v9.2.

Comments are closed.